DCMTK - Feature #40

Postpone dictionary creation
2010-06-24 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:

Module: dcmdata Compiler:

Operating System:

Description
http://forum.dcmtk.org/viewtopic.php?t=2569

In dem Forumsbeitrag wird vorgeschlagen, das globale Data Dictionary erst bei der ersten Verwendung zu initialisieren.

=== Nachtrag JR ===

Man kann jetzt das Laden der externen Dictionaries beim Programmstart mit Hilfe des Makros
"DONT_LOAD_EXTERNAL_DICTIONARIES" unterbinden.

=== Nachtrag Uli ===

Erledigt am 12.04.2011.

History

#1 - 2014-09-22 16:57 - Michael Onken
- Description updated

- Private changed from No to Yes

#2 - 2015-01-15 13:46 - Michael Onken

- Private changed from Yes to No
